/***************\
*               *
*  Text object  *
*               *
\***************/

#include <stdlib.h>

#include "textobject.h"

void
TCADTextObject::SetTextProperties(TVAlign VA, THAlign HA, char *FN)
{
	int Cnt,Size;
	char *DP;

	DTP("TCADTextObject::SetTextProperties()\n");

	TextHAlign = HA;
	TextVAlign = VA;

	/* Now cope with font... */
	// Enlarge buffers when necessary
	Size = strlen(FN)+10;
	if (Size > FNSize) {
		FontName = (char *)realloc(FontName,Size);
		FontNameBuf = (char *)realloc(FontNameBuf,Size);
		FNSize = Size;
	}

	// Get size and put %d in correct place
	Cnt=0;
	DP=FontName;
	while(*FN) {
		if (*FN == '-') {
			Cnt++;
			*DP++ = '-';
			if (Cnt == 7) {
				*DP++ = '%';
				*DP++ = 'd';
				sscanf(FN+1,"%d",&FontSize);
			}
		}
		else {
			if (Cnt != 7) *DP++ = *FN;
		}
		FN++;
	}
	*DP=0;

	// Redraw
	Sheet->DrawRect(&EncapRect);
}
