/*********************************\
*                                 *
*  Defines header fot EPS export  *
*                                 *
\*********************************/

#define EPS_HEADER "
%%!PS-Adobe EPSF-3.0
%%%%Pages: 1
%%%%BoundingBox: %d %d %d %d

%% Define Box macro. Usage: x y w h Box
/Box {
	/h exch def
	/w exch def
	newpath
	moveto
	w 0 rlineto
	0 h rlineto
	w neg 0 rlineto
	closepath
	stroke
} bind def

%% Macro for printing left-aligned text. Usage: x y text CShow
/LShow {
	newpath
	/T exch def
	moveto 
	T show
} bind def

%% Macro for printing centered text. Usage: x y text CShow
/CShow {
	newpath
	/T exch def
	exch
	T stringwidth pop 2 div sub
	exch
	moveto 
	T show
} bind def

%% Macro for printing right-aligned text. Usage: x y text RShow
/RShow {
	newpath
	/T exch def
	exch
	T stringwidth pop sub
	exch
	moveto 
	T show
} bind def

%% Draws arrow. Rotation is in degs. Usage: size rotation x y type Arrow
/Arrow {
	/T exch def

	gsave
	translate
	gsave
	rotate
	newpath

	dup dup 2 div
	moveto

	0 0 lineto
	dup 2 div neg
	lineto

	T 2 eq { closepath } if
	T 3 eq { closepath } if
	T 3 eq { fill } { stroke } ifelse
	
	grestore
	grestore
} bind def

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   Start of document  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

"
